/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#ifndef __FIRECAT_HEADER_INCLUDED__
#define __FIRECAT_HEADER_INCLUDED__

#define MODE_CAT 0 /* Just cat the files together */
#define MODE_IDX 1 /* Just create indexes */
#define MODE_QER 2 /* Perform a query on the files */
#define MODE_LST 3 /* List the fields etc. in an index file */

struct firecat_mode {
	void (*init)(void);
	int (*file)(int, const char *);
	void (*fini)(void);
};

#endif /* __FIRECAT_HEADER_INCLUDED__ */
