/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#ifndef __LOADER_HEADER_INCLUDED__
#define __LOADER_HEADER_INCLUDED__

#include <plugin.h>

struct plugin {
	void *lib;
	struct plugin_desc *d;
	struct plugin *next;
};

typedef void (*loader_cb_t)(struct plugin *p, void *o);

/* Plugin loader API */
void loader_load_dir(const char *dir);
int loader_load(const char *fn);
void loader_find_syms(const char *sym, loader_cb_t cb);

#endif /* __LOADER_HEADER_INCLUDED__ */
